Page 1 of 3 123 LastLast
Results 1 to 10 of 22

Thread: Drivers problems (nvidia, snd_emu10k1)

  1. #1

    Default Drivers problems (nvidia, snd_emu10k1)

    I have the following problems:
    NVIDIA BETA DRIVER
    how can i install nvidia beta drivers from the proprietary file (*.run) with dkms (with 32bits driver)
    i'm getting the following error

    Code:
    /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8.c:187:14: error: initialization of ‘vm_fault_t (*)(struct vm_fault *)’ {aka ‘unsigned int (*)(struct vm_fault *)’} from incompatible pointer type ‘int (*)(struct vm_fault *)’ [-Werror=incompatible-pointer-types]
      187 |     .fault = uvm_vm_fault_sigbus_wrapper
          |              ^~~~~~~~~~~~~~~~~~~~~~~~~~~
    /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8.c:187:14: note: (near initialization for ‘uvm_vm_ops_disabled.fault’)
    /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8.c:525:21: error: initialization of ‘vm_fault_t (*)(struct vm_fault *)’ {aka ‘unsigned int (*)(struct vm_fault *)’} from incompatible pointer type ‘int (*)(struct vm_fault *)’ [-Werror=incompatible-pointer-types]
      525 |     .fault        = uvm_vm_fault_wrapper,
          |                     ^~~~~~~~~~~~~~~~~~~~
    /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8.c:525:21: note: (near initialization for ‘uvm_vm_ops_managed.fault’)
    /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8.c:526:21: error: initialization of ‘vm_fault_t (*)(struct vm_fault *)’ {aka ‘unsigned int (*)(struct vm_fault *)’} from incompatible pointer type ‘int (*)(struct vm_fault *)’ [-Werror=incompatible-pointer-types]
      526 |     .page_mkwrite = uvm_vm_fault_wrapper,
          |                     ^~~~~~~~~~~~~~~~~~~~
    /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8.c:526:21: note: (near initialization for ‘uvm_vm_ops_managed.page_mkwrite’)
    /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8.c:609:21: error: initialization of ‘vm_fault_t (*)(struct vm_fault *)’ {aka ‘unsigned int (*)(struct vm_fault *)’} from incompatible pointer type ‘int (*)(struct vm_fault *)’ [-Werror=incompatible-pointer-types]
      609 |     .fault        = uvm_vm_fault_sigbus_wrapper,
          |                     ^~~~~~~~~~~~~~~~~~~~~~~~~~~
    /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8.c:609:21: note: (near initialization for ‘uvm_vm_ops_semaphore_pool.fault’)
      CC [M]  /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8_range_tree.o
      CC [M]  /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8_range_allocator.o
      CC [M]  /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8_va_range.o
      CC [M]  /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8_va_block.o
      CC [M]  /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8_range_group.o
    cc1: some warnings being treated as errors
    make[3]: *** [/usr/src/linux-5.1.10-1/scripts/Makefile.build:277: /var/lib/dkms/nvidia/418.52.10/build/nvidia-uvm/uvm8.o] Error 1
    make[3]: *** Waiting for unfinished jobs....
    make[2]: *** [/usr/src/linux-5.1.10-1/Makefile:1585: _module_/var/lib/dkms/nvidia/418.52.10/build] Error 2
    make[2]: Leaving directory '/usr/src/linux-5.1.10-1-obj/x86_64/default'
    make[1]: *** [Makefile:169: sub-make] Error 2
    make[1]: Leaving directory '/usr/src/linux-5.1.10-1'
    make: *** [Makefile:79: modules] Error 2
    is it posible to install the beta drivers with dkms?


    my sound card is audigy 5/RX that use snd_emu10k1 driver.
    for some reason it can only play left and right channel. even though alsamixer show every channel at max volume.
    I've disable pulseaudio but the sound was the same with pulseaudio
    How can i make it to play on all 7.1 channels?

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,488
    Blog Entries
    15

    Default Re: Drivers problems (nvidia, snd_emu10k1)

    Hi
    What is your Nvidia GPU?

    Code:
    /sbin/lspci -nnk | egrep -A3 "VGA|Display|3D"
    418 series is old...?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Default Re: Drivers problems (nvidia, snd_emu10k1)

    Code:
    0c:00.0 VGA compatible controller [0300]: NVIDIA Corporation GM204 [GeForce GTX 970] [10de:13c2] (rev a1)
        Subsystem: ASUSTeK Computer Inc. Device [1043:8508]
        Kernel driver in use: nvidia
        Kernel modules: nouveau, nvidia_drm, nvidia
    the idea is that i want the beta drivers due to vulkan new extension and of course dxvk/d9vk might use them.

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,488
    Blog Entries
    15

    Default Re: Drivers problems (nvidia, snd_emu10k1)

    Quote Originally Posted by loganj View Post
    Code:
    0c:00.0 VGA compatible controller [0300]: NVIDIA Corporation GM204 [GeForce GTX 970] [10de:13c2] (rev a1)
        Subsystem: ASUSTeK Computer Inc. Device [1043:8508]
        Kernel driver in use: nvidia
        Kernel modules: nouveau, nvidia_drm, nvidia
    the idea is that i want the beta drivers due to vulkan new extension and of course dxvk/d9vk might use them.
    Hi
    Vulkan 1.1 support is already in the general release drivers? (Ref: https://developer.nvidia.com/vulkan-driver)

    You would need to head over to the Nvidia forums and see if there are some patches available for that driver and the 5.1 series kernel. Those errors look similar to the 390.116 driver and the 5.1 kernel series...
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  5. #5

    Default Re: Drivers problems (nvidia, snd_emu10k1)

    Ah sorry i forgot completly about that since arch has aur packages.

    No the only issue that i have is the sound card which i have no clue why is playing only 2 channels (i forgot if center is working)

  6. #6

    Default Re: Drivers problems (nvidia, snd_emu10k1)

    The new beta driver from nvidia fix the problem with the kernel version and it seems to work. although blacklisting nouveau didn't work at all. luckily setting nomodeset does the trick.

    i'm guessing that nobody has and idea why opensuse does not play use more than 2 speakers (front left/front right) out of 7.1. well i was expecting to have the same problem with other 2 distros (linuxmint/arch) and not being able to use side channels but i guess opensuse distro has managed to do even worse than the normal bug.

  7. #7

    Default Re: Drivers problems (nvidia, snd_emu10k1)

    How do you stop the **** named pulseaudio from starting over and over and over again despite having daemonize=no and autospawn = no?

  8. #8
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,517
    Blog Entries
    37

    Default Re: Drivers problems (nvidia, snd_emu10k1)

    Quote Originally Posted by loganj View Post
    i'm guessing that nobody has and idea why opensuse does not play use more than 2 speakers (front left/front right) out of 7.1.
    Some applications will not play more than 2 channels. Some audio has only 2 channels.

    Can you provide some useful diagnostic information so we can investigate if this is a configuration problem with your setup?

    You could start (providing that) by opening a konsole or xterm, and as a regular user and copying and paste the following into that and run this as a regular user (with PC connected to the internet and sound/mixer configured the way you believe should provide you with 7.1 sound) and then execute that command to run a script.
    Code:
    /usr/sbin/alsa-info.sh
    Select the SHARE/UPLOAD option when prompted. Let the script run to completion. In the konsole/xterm you will be provided a URL/address to share to those trying to help you. Please post that address/URL here.

    One further important aspect, please note, this forum is made up of volunteers. We are not paid to help. We have lives with other things going on. So some mutual understanding would be most appreciated. Please try to hold back your frustration and we will also try to do the same.

  9. #9

    Default Re: Drivers problems (nvidia, snd_emu10k1)

    Here is alsa info.

    Just to make it clear. i know its a forum made up of volunteers. Don't misunderstand my irritation. I have no problem with the forum. My irritation is pulseaudio disaster. I have only bad things to say about it. I know there are 90% linux users that love/don't care about pulseaudio and there are about 10% that hate it the most. i'm part of that 10%

    and now to make it worse i can't disable it on opensuse.

    And apparently it is indeed pulseaudio fault that my sound is only playing in 2 channels.
    Useing
    Code:
    speaker-test -c 8 -D surround71:CARD=Audigy2,DEV=0
    i can get 5.1 sound. without specifing the device it will go with pulseaudio and therefor 2 channels only.
    I know it should be 7.1 but it seems there is a bug in alsa driver and only 5.1 sound is working.

    So how do i disable pulseaudio?

  10. #10

    Default Re: Drivers problems (nvidia, snd_emu10k1)

    Quote Originally Posted by loganj View Post
    So how do i disable pulseaudio?
    YaST->Hardware->Sound->Other->PulseAudio Configuration, or run "setup-pulseaudio --disable" as root.

    As a brute force, you can also uninstall it. (pulseaudio that is, you need to keep libpulse0 e.g. but that's unrelated to the daemon)
    Code:
    sudo zypper rm pulseaudio
    You can't blame a madman if you go insane

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •